! Genereaza K
! Triunghiul superior - pe COLOANE.
! Cadru etajat - 3 grade de lib. Excitatie armonica.
! ngl =3

subroutine gen_K()
use work

implicit real(8) (a-h, o-z)

! Define K:
K =0.

!k(1,:) =(/1, -1, 0/)
!k(2,:) =(/-1, 3, -2/)
!k(3,:) =(/0, -2, 6/)

k(loca(1,1)) =3;  k(loca(1,2)) =-1;
k(loca(2,2)) =2; k(loca(2,3)) =-1
k(loca(3,3)) =1


END subroutine gen_K
